Holger's Java API

## com.antelmann.util
Enum Strings.Symbol

    java.lang.Object
      java.lang.Enum<Strings.Symbol>
          com.antelmann.util.Strings.Symbol

All Implemented Interfaces:
  HtmlSupported, Serializable, Comparable<Strings.Symbol>

Enclosing class:
  Strings

    public static enum Strings.Symbol

extends Enum<Strings.Symbol>
implements HtmlSupported

generally useful symbols to ease their use in non-UTF8 source code Convenient example tables are found e.g. here: http://www.csbruce.com/software/utf-8.html

Enum Constant Summary
`alpha` α
`average` ø
`AVERAGE` Ø
`BACKSPACE` ⌫
`BALLOT_BOX` ☐
`BALLOT_BOX_CHECKED` ☑
`BALLOT_BOX_CROSSED` ☒
`CARRIAGE_RETURN` ⏎
`CHECK` ✓
`CLUBS` ♣
`COPYRIGHT` ©
`CROSSED` ✗
`DEGREE` °
`DELTA` ∆
`DIAMONDS` ♦
`DOWN_ARROW` ↓
`ENTER` ↵
`EURO` €
`FEMALE` ♀
`HEARTS` ♥
`INFINITE` ∞
`LB` pound weight: ℔
`LEFT_ARROW` ←
`MALE` ♂
`mu` μ
`NO` №
`NOTE` ♪
`NOTES` ♫
`OMEGA` Ω
`PARAGRAPH` §
`PARAGRAPH_BREAK` ¶
`pi` π
`PI` Π
`PLUSMINUS` ±
`POUND` represents the British Pound (currency): £
`PROMILLE` ‰
`REGISTERED_TRADEMARK` ®
`RIGHT_ARROW` →
`ROOT` √
`sigma` σ
`SIGNMA` Σ
`SMILEY` ☺
`SPADES` ♠
`SQUARED` ²
`STAR_BLACK` ★
`STAR_WHITE` ☆
`SUM` ∑
`SUN` ☼
`TRADEMARK` ™
`UNEQUAL` ≠
`UP_ARROW` ↑
`YEN` ¥

Method Summary
`static String` `superscript(int n)` takes a number between 0 and 9
`String` `toHtml(Object context)` returns a String that contains valid HTML to be embedded in other HTML content
`String` `toString()`
`static Strings.Symbol` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Strings.Symbol[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EURO

    public static final Strings.Symbol EURO

  €

### PROMILLE

    public static final Strings.Symbol PROMILLE

  ‰

### COPYRIGHT

    public static final Strings.Symbol COPYRIGHT

  ©

### TRADEMARK

    public static final Strings.Symbol TRADEMARK

  ™

### REGISTERED_TRADEMARK

    public static final Strings.Symbol REGISTERED_TRADEMARK

  ®

### PLUSMINUS

    public static final Strings.Symbol PLUSMINUS

  ±

### UNEQUAL

    public static final Strings.Symbol UNEQUAL

  ≠

### ROOT

    public static final Strings.Symbol ROOT

  √

### SUM

    public static final Strings.Symbol SUM

  ∑

### INFINITE

    public static final Strings.Symbol INFINITE

  ∞

### average

    public static final Strings.Symbol average

  ø

### AVERAGE

    public static final Strings.Symbol AVERAGE

  Ø

### alpha

    public static final Strings.Symbol alpha

  α

### SIGNMA

    public static final Strings.Symbol SIGNMA

  Σ

### sigma

    public static final Strings.Symbol sigma

  σ

### PI

    public static final Strings.Symbol PI

  Π

### pi

    public static final Strings.Symbol pi

  π

### OMEGA

    public static final Strings.Symbol OMEGA

  Ω

### DELTA

    public static final Strings.Symbol DELTA

  ∆

### PARAGRAPH

    public static final Strings.Symbol PARAGRAPH

  §

### PARAGRAPH_BREAK

    public static final Strings.Symbol PARAGRAPH_BREAK

  ¶

### NO

    public static final Strings.Symbol NO

  №

### SMILEY

    public static final Strings.Symbol SMILEY

  ☺

### SUN

    public static final Strings.Symbol SUN

  ☼

### MALE

    public static final Strings.Symbol MALE

  ♂

### FEMALE

    public static final Strings.Symbol FEMALE

  ♀

### NOTE

    public static final Strings.Symbol NOTE

  ♪

### NOTES

    public static final Strings.Symbol NOTES

  ♫

### HEARTS

    public static final Strings.Symbol HEARTS

  ♥

### SPADES

    public static final Strings.Symbol SPADES

  ♠

### CLUBS

    public static final Strings.Symbol CLUBS

  ♣

### DIAMONDS

    public static final Strings.Symbol DIAMONDS

  ♦

### mu

    public static final Strings.Symbol mu

  μ

### LB

    public static final Strings.Symbol LB

  pound weight: ℔

### POUND

    public static final Strings.Symbol POUND

  represents the British Pound (currency): £

### YEN

    public static final Strings.Symbol YEN

  ¥

### DEGREE

    public static final Strings.Symbol DEGREE

  °

### LEFT_ARROW

    public static final Strings.Symbol LEFT_ARROW

  ←

### UP_ARROW

    public static final Strings.Symbol UP_ARROW

  ↑

### RIGHT_ARROW

    public static final Strings.Symbol RIGHT_ARROW

  →

### DOWN_ARROW

    public static final Strings.Symbol DOWN_ARROW

  ↓

### BALLOT_BOX

    public static final Strings.Symbol BALLOT_BOX

  ☐

### BALLOT_BOX_CHECKED

    public static final Strings.Symbol BALLOT_BOX_CHECKED

  ☑

### BALLOT_BOX_CROSSED

    public static final Strings.Symbol BALLOT_BOX_CROSSED

  ☒

### CHECK

    public static final Strings.Symbol CHECK

  ✓

### CROSSED

    public static final Strings.Symbol CROSSED

  ✗

### STAR_BLACK

    public static final Strings.Symbol STAR_BLACK

  ★

### STAR_WHITE

    public static final Strings.Symbol STAR_WHITE

  ☆

### ENTER

    public static final Strings.Symbol ENTER

  ↵

### CARRIAGE_RETURN

    public static final Strings.Symbol CARRIAGE_RETURN

  ⏎

### BACKSPACE

    public static final Strings.Symbol BACKSPACE

  ⌫

### SQUARED

    public static final Strings.Symbol SQUARED

  ²

Method Detail

### values

    public static Strings.Symbol[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Strings.Symbol c : Strings.Symbol.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Strings.Symbol valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Strings.Symbol>`

### toHtml

    public String toHtml(Object context)
                  throws IOException

  Description copied from interface: `HtmlSupported`
  returns a String that contains valid HTML to be embedded in other HTML content

  Specified by:
    `toHtml` in interface `HtmlSupported`
  Parameters:
    `context` - depending on the caller, this value may denote the servlet request, JSF context or a null value
  Throws:
    `IOException`

### superscript

    public static String superscript(int n)

  takes a number between 0 and 9

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads